Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
Đăng nhập để thực hiện theo  
quangthanhdu

Xoá mũi tên trong các mặt cắt??

Các bài được khuyến nghị

Ai biết cách xoá dấu mũi tên một cách nhanh nhất, xin chỉ giúp ??? Có cái lisp nào làm được việc đó không? chân thành cảm ơn.Vì số lượng mặt cắt nhiều quá nên không thể xóa bằng cách thủ công!!

http://www.cadviet.com/upfiles/3/matcat.jpg

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Ai biết cách xoá dấu mũi tên một cách nhanh nhất, xin chỉ giúp ??? Có cái lisp nào làm được việc đó không? chân thành cảm ơn.Vì số lượng mặt cắt nhiều quá nên không thể xóa bằng cách thủ công!!

http://www.cadviet.com/upfiles/3/matcat.jpg

Bạn gửi file CAD lên thì mọi người còn có thể góp ý được chứ gửi file ảnh kiểu này thì bó tay rồi vì chịu chết chả hiểu cái mũi tên của bạn được tạo ra sao cả bạn ạ,

Hề hề hề...

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Ai biết cách xoá dấu mũi tên một cách nhanh nhất, xin chỉ giúp ??? Có cái lisp nào làm được việc đó không? chân thành cảm ơn.Vì số lượng mặt cắt nhiều quá nên không thể xóa bằng cách thủ công!!

http://up.4share.vn/f/360705050105060f/xoa mui ten.zip

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Ai biết cách xoá dấu mũi tên một cách nhanh nhất, xin chỉ giúp ??? Có cái lisp nào làm được việc đó không? chân thành cảm ơn.Vì số lượng mặt cắt nhiều quá nên không thể xóa bằng cách thủ công!!

http://up.4share.vn/f/360705050105060f/xoa mui ten.zip

Bạn hãy dùng Filter để lọc mũi tên ra rồi muốn làm jì thì làm.

 

Command: fi FILTER

Select object: Applying filter to selection.

Select objects: Specify opposite corner: 544 found

 

Con số chỉ là VD thôi nhé :iluvyousmiley:

 

Nếu bạn chưa rõ có thể lam theo hình ảnh sau:

fi.jpg

:D

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

làm theo cách của anh thì ta sẽ chọn hết tất cả các mũi tên. Nhưng cái khó ở đây là ta cần xóa những mũi tên được khoanh tròn thôi.Các mặt cắt phía dưới cũng chỉ xóa các mũi tên được khoanh tròn giống như mặt cắt phía trên.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Hy vọng sớm được mọi người giúp đỡ....Chân thành cảm ơn.

Có cách nào để xác định mũi tên xoá hả bạn. Hay cứ như bản vẽ của bạn trong 1 mc thì xóa mũi tên thứ 2,4,5,7 từ trái sang phải. Nếu thứ tự cố định như vậy thì chắc cũng dễ hơn. không thì mình nghĩ chỉ có cách tự xoa thôi.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Cái này tương đối dễ mà

Bạn cứ lập trình Lisp lấy toàn bộ đối tượng Leader

Lấy 2 điểm của leader

Nếu nó lớn hơn 2% là xoá

:iluvyousmiley:

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Cần xóa mũi tên thứ 2,4,5,7 từ trái sang phải, theo đúng thứ tự như vậy từ trên xuống dưới.....

 

Mình đã thử dùng cả Quick select nhưng vẫn chưa được.Chắc fải nhờ các anh viết giúp 1 con lisp để làm việc này.

Các mũi tên này có điểm khác nhau đó là Vertex X nên có thể phân biệt được các mũi tên cần xoá.Tất cả các mũi tên số 2 đều có Vertex X = nhau do cùng nằm trên 1 trục X.Các mũi tên 4,5,7 cũng tương tự.

 

Tiện đây cũng hỏi luôn các bác là mặc dù đã dùng Quick select với đặc tính Vertex X nhưng sao lại không được!!!

:iluvyousmiley:

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Cái này tương đối dễ mà

Bạn cứ lập trình Lisp lấy toàn bộ đối tượng Leader

Lấy 2 điểm của leader

Nếu nó lớn hơn 2% là xoá

:iluvyousmiley:

Nó ko phải leader đâu, hehe là 2dpolyline đấy

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Cái này tương đối dễ mà

Bạn cứ lập trình Lisp lấy toàn bộ đối tượng Leader

Lấy 2 điểm của leader

Nếu nó lớn hơn 2% là xoá

:iluvyousmiley:

 

Anh viết giúp em cái lisp lam việc này, chứ em không biết gì về lisp hết, chân thành cảm ơn!!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Anh viết giúp em cái lisp lam việc này, chứ em không biết gì về lisp hết, chân thành cảm ơn!!

Tạm thời đê làm được yêu cầu của bạn thì minh đang sử dụng Lisp xoá đối tượng trong vùng chọn đã có trên diễn đàn,nếu bạn đang cần có thể sử dụng cách này cũng tương đối hiệu quả.Bạn cứ Down về thử còn cách làm chắc không fải bàn nhỉ:

http://www.cadviet.com/forum/index.php?sho...27121&st=20

Tuy nhiên để làm nhanh hơn và làm trực tiếp có lẽ fải chờ các Pác viết Lisp khác cho.

:iluvyousmiley:

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Ai biết cách xoá dấu mũi tên một cách nhanh nhất, xin chỉ giúp ??? Có cái lisp nào làm được việc đó không? chân thành cảm ơn.Vì số lượng mặt cắt nhiều quá nên không thể xóa bằng cách thủ công!!

http://www.cadviet.com/upfiles/3/matcat.jpg

 

Đoạn code này xoá mũi tên và text (%) tưng ứng trên dải phân cách. Đoạn bên lề bác làm tương tự nhé.

Bác test thử xem sao.

(defun c:xoa (/ ss ss% x p1 i j)
(setq ss (ssget "x" (list
		  (cons -4 "			  (cons 0 "POLYLINE")
		  (cons 8 "PLINEPHANCACH")
		  (cons -4 "AND>")
		  )))

(command "undo" "BE")
(setq i 0)
(while (setq x (ssname ss i))
   (setq x (entnext x))
   (setq p1 (polar (cdr (assoc 10 (entget x))) (* pi 0.5) 0.2))

   (command "zoom" p1 (list (+ (car p1) 2) (+ (cadr p1) 2)))	
   (setq ss% (ssget "c" p1 (list (+ (car p1) 2) (+ (cadr p1) 2))
		(list			 	  
		  (cons -4 "			  (cons 0 "POLYLINE")
		  (cons 8 "ENTTNTHIETKE")
		  (cons -4 "AND>")			
		  )))
  (command "erase" ss% "")
  (setq ss% (ssget "c" p1 (list (+ (car p1) 2) (+ (cadr p1) 2))
		(list		 
		  (cons -4 "			  (cons 0 "TEXT")
		  (cons 8 "ENTTNTHIETKE")
		  (cons -4 "AND>")				
		  )))
   	(setq j 0)
	(if ss%
	(while (setq x (ssname ss% j))
	  (if	
   	(vl-string-search "%" (cdr (assoc 1 (entget x))))	
	 	(command "erase" x "")
		)			   
   		(setq j (1+ j))
  )
  )
 (setq i (1+ i))

)
(command "undo" "E")
 )

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×